# Makefile.in generated by automake 1.15.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@



VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
sbin_PROGRAMS = dmapd$(EXEEXT)
@USE_GSTREAMER_TRUE@bin_PROGRAMS = dmapd-transcode$(EXEEXT) \
@USE_GSTREAMER_TRUE@	dmapd-hashgen$(EXEEXT)
@WITH_TESTS_TRUE@noinst_PROGRAMS = dmapd-stress-test$(EXEEXT) \
@WITH_TESTS_TRUE@	$(am__EXEEXT_1)
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@am__append_1 = dmapd-unit-test
@USE_LIBDB_TRUE@am__append_2 = \
@USE_LIBDB_TRUE@	libdmapd-dmap-db-bdb.la

@USE_GSTREAMER_TRUE@am__append_3 = util-gst.c
@USE_GSTREAMER_TRUE@am__append_4 = \
@USE_GSTREAMER_TRUE@	libav-meta-reader-gst.la \
@USE_GSTREAMER_TRUE@	libav-render-gst.la

@USE_MAGICK_TRUE@am__append_5 = \
@USE_MAGICK_TRUE@	libphoto-meta-reader-graphicsmagick.la

@USE_VIPS_TRUE@am__append_6 = \
@USE_VIPS_TRUE@	libphoto-meta-reader-vips.la

subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dmapdinclude_HEADERS) \
	$(noinst_HEADERS) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(plugindir)" \
	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" \
	"$(DESTDIR)$(dmapdincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES) $(plugin_LTLIBRARIES)
am__DEPENDENCIES_1 =
@USE_GSTREAMER_TRUE@libav_meta_reader_gst_la_DEPENDENCIES =  \
@USE_GSTREAMER_TRUE@	$(am__DEPENDENCIES_1)
am__libav_meta_reader_gst_la_SOURCES_DIST = av-meta-reader-gst.c
@USE_GSTREAMER_TRUE@am_libav_meta_reader_gst_la_OBJECTS =  \
@USE_GSTREAMER_TRUE@	av-meta-reader-gst.lo
libav_meta_reader_gst_la_OBJECTS =  \
	$(am_libav_meta_reader_gst_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
libav_meta_reader_gst_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libav_meta_reader_gst_la_LDFLAGS) \
	$(LDFLAGS) -o $@
@USE_GSTREAMER_TRUE@am_libav_meta_reader_gst_la_rpath = -rpath \
@USE_GSTREAMER_TRUE@	$(plugindir)
@USE_GSTREAMER_TRUE@libav_render_gst_la_DEPENDENCIES =  \
@USE_GSTREAMER_TRUE@	$(am__DEPENDENCIES_1)
am__libav_render_gst_la_SOURCES_DIST = av-render-gst.c
@USE_GSTREAMER_TRUE@am_libav_render_gst_la_OBJECTS = av-render-gst.lo
libav_render_gst_la_OBJECTS = $(am_libav_render_gst_la_OBJECTS)
libav_render_gst_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libav_render_gst_la_LDFLAGS) \
	$(LDFLAGS) -o $@
@USE_GSTREAMER_TRUE@am_libav_render_gst_la_rpath = -rpath $(plugindir)
libdb_builder_gdir_la_LIBADD =
am_libdb_builder_gdir_la_OBJECTS = db-builder-gdir.lo
libdb_builder_gdir_la_OBJECTS = $(am_libdb_builder_gdir_la_OBJECTS)
libdb_builder_gdir_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libdb_builder_gdir_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libdmapd_dmap_db_bdb_la_DEPENDENCIES =
am__libdmapd_dmap_db_bdb_la_SOURCES_DIST = dmapd-dmap-db-bdb.c
@USE_LIBDB_TRUE@am_libdmapd_dmap_db_bdb_la_OBJECTS =  \
@USE_LIBDB_TRUE@	dmapd-dmap-db-bdb.lo
libdmapd_dmap_db_bdb_la_OBJECTS =  \
	$(am_libdmapd_dmap_db_bdb_la_OBJECTS)
libdmapd_dmap_db_bdb_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libdmapd_dmap_db_bdb_la_LDFLAGS) \
	$(LDFLAGS) -o $@
@USE_LIBDB_TRUE@am_libdmapd_dmap_db_bdb_la_rpath = -rpath $(plugindir)
libdmapd_dmap_db_disk_la_LIBADD =
am_libdmapd_dmap_db_disk_la_OBJECTS = dmapd-dmap-db-disk.lo
libdmapd_dmap_db_disk_la_OBJECTS =  \
	$(am_libdmapd_dmap_db_disk_la_OBJECTS)
libdmapd_dmap_db_disk_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libdmapd_dmap_db_disk_la_LDFLAGS) \
	$(LDFLAGS) -o $@
libdmapd_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am__libdmapd_la_SOURCES_DIST = util.c av-meta-reader.c av-render.c \
	db-builder.c dmapd-dmap-container-db.c \
	dmapd-dmap-container-record.c dmapd-dmap-db.c \
	dmapd-dmap-db-ghashtable.c dmapd-daap-record.c \
	dmapd-daap-record-factory.c dmapd-dpap-record.c \
	dmapd-dpap-record-factory.c dmapd-module.c photo-meta-reader.c \
	util-gst.c
@USE_GSTREAMER_TRUE@am__objects_1 = util-gst.lo
am_libdmapd_la_OBJECTS = util.lo av-meta-reader.lo av-render.lo \
	db-builder.lo dmapd-dmap-container-db.lo \
	dmapd-dmap-container-record.lo dmapd-dmap-db.lo \
	dmapd-dmap-db-ghashtable.lo dmapd-daap-record.lo \
	dmapd-daap-record-factory.lo dmapd-dpap-record.lo \
	dmapd-dpap-record-factory.lo dmapd-module.lo \
	photo-meta-reader.lo $(am__objects_1)
libdmapd_la_OBJECTS = $(am_libdmapd_la_OBJECTS)
libdmapd_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libdmapd_la_LDFLAGS) $(LDFLAGS) -o $@
@USE_MAGICK_TRUE@libphoto_meta_reader_graphicsmagick_la_DEPENDENCIES =  \
@USE_MAGICK_TRUE@	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am__libphoto_meta_reader_graphicsmagick_la_SOURCES_DIST =  \
	photo-meta-reader-graphicsmagick.c
@USE_MAGICK_TRUE@am_libphoto_meta_reader_graphicsmagick_la_OBJECTS =  \
@USE_MAGICK_TRUE@	photo-meta-reader-graphicsmagick.lo
libphoto_meta_reader_graphicsmagick_la_OBJECTS =  \
	$(am_libphoto_meta_reader_graphicsmagick_la_OBJECTS)
libphoto_meta_reader_graphicsmagick_la_LINK = $(LIBTOOL) $(AM_V_lt) \
	--tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
	$(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libphoto_meta_reader_graphicsmagick_la_LDFLAGS) $(LDFLAGS) \
	-o $@
@USE_MAGICK_TRUE@am_libphoto_meta_reader_graphicsmagick_la_rpath =  \
@USE_MAGICK_TRUE@	-rpath $(plugindir)
@USE_VIPS_TRUE@libphoto_meta_reader_vips_la_DEPENDENCIES =  \
@USE_VIPS_TRUE@	$(am__DEPENDENCIES_1)
am__libphoto_meta_reader_vips_la_SOURCES_DIST =  \
	photo-meta-reader-vips.c
@USE_VIPS_TRUE@am_libphoto_meta_reader_vips_la_OBJECTS =  \
@USE_VIPS_TRUE@	photo-meta-reader-vips.lo
libphoto_meta_reader_vips_la_OBJECTS =  \
	$(am_libphoto_meta_reader_vips_la_OBJECTS)
libphoto_meta_reader_vips_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libphoto_meta_reader_vips_la_LDFLAGS) \
	$(LDFLAGS) -o $@
@USE_VIPS_TRUE@am_libphoto_meta_reader_vips_la_rpath = -rpath \
@USE_VIPS_TRUE@	$(plugindir)
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@am__EXEEXT_1 =  \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-unit-test$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS) $(sbin_PROGRAMS)
am_dmapd_OBJECTS = dmapd.$(OBJEXT)
dmapd_OBJECTS = $(am_dmapd_OBJECTS)
dmapd_DEPENDENCIES = libdmapd.la
am_dmapd_hashgen_OBJECTS = dmapd-hashgen.$(OBJEXT)
dmapd_hashgen_OBJECTS = $(am_dmapd_hashgen_OBJECTS)
dmapd_hashgen_DEPENDENCIES = libdmapd.la
am__dmapd_stress_test_SOURCES_DIST = dmapd-stress-test.c
@WITH_TESTS_TRUE@am_dmapd_stress_test_OBJECTS =  \
@WITH_TESTS_TRUE@	dmapd-stress-test.$(OBJEXT)
dmapd_stress_test_OBJECTS = $(am_dmapd_stress_test_OBJECTS)
@WITH_TESTS_TRUE@dmapd_stress_test_DEPENDENCIES = libdmapd.la
am_dmapd_transcode_OBJECTS = dmapd-transcode.$(OBJEXT)
dmapd_transcode_OBJECTS = $(am_dmapd_transcode_OBJECTS)
dmapd_transcode_DEPENDENCIES = libdmapd.la
am__dmapd_unit_test_SOURCES_DIST = dmapd-unit-test.c \
	dmapd-test-daap-record.c dmapd-test-parse-plugin-option.c
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@am_dmapd_unit_test_OBJECTS =  \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-unit-test.$(OBJEXT) \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-test-daap-record.$(OBJEXT) \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-test-parse-plugin-option.$(OBJEXT)
dmapd_unit_test_OBJECTS = $(am_dmapd_unit_test_OBJECTS)
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@dmapd_unit_test_DEPENDENCIES =  \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	libdmapd.la
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libav_meta_reader_gst_la_SOURCES) \
	$(libav_render_gst_la_SOURCES) \
	$(libdb_builder_gdir_la_SOURCES) \
	$(libdmapd_dmap_db_bdb_la_SOURCES) \
	$(libdmapd_dmap_db_disk_la_SOURCES) $(libdmapd_la_SOURCES) \
	$(libphoto_meta_reader_graphicsmagick_la_SOURCES) \
	$(libphoto_meta_reader_vips_la_SOURCES) $(dmapd_SOURCES) \
	$(dmapd_hashgen_SOURCES) $(dmapd_stress_test_SOURCES) \
	$(dmapd_transcode_SOURCES) $(dmapd_unit_test_SOURCES)
DIST_SOURCES = $(am__libav_meta_reader_gst_la_SOURCES_DIST) \
	$(am__libav_render_gst_la_SOURCES_DIST) \
	$(libdb_builder_gdir_la_SOURCES) \
	$(am__libdmapd_dmap_db_bdb_la_SOURCES_DIST) \
	$(libdmapd_dmap_db_disk_la_SOURCES) \
	$(am__libdmapd_la_SOURCES_DIST) \
	$(am__libphoto_meta_reader_graphicsmagick_la_SOURCES_DIST) \
	$(am__libphoto_meta_reader_vips_la_SOURCES_DIST) \
	$(dmapd_SOURCES) $(dmapd_hashgen_SOURCES) \
	$(am__dmapd_stress_test_SOURCES_DIST) \
	$(dmapd_transcode_SOURCES) $(am__dmapd_unit_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(dmapdinclude_HEADERS) $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CHECK_CFLAGS = @CHECK_CFLAGS@
CHECK_LIBS = @CHECK_LIBS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DBDIR = @DBDIR@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DMAPD_MAJORMINOR = @DMAPD_MAJORMINOR@
DMAPSHARING_CFLAGS = @DMAPSHARING_CFLAGS@
DMAPSHARING_LIBS = @DMAPSHARING_LIBS@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXIF_CFLAGS = @EXIF_CFLAGS@
EXIF_LIBS = @EXIF_LIBS@
FGREP = @FGREP@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
GOBJECT_LIBS = @GOBJECT_LIBS@
GREP = @GREP@
GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@
GSTREAMER_LIBS = @GSTREAMER_LIBS@
GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
GTHREAD_LIBS = @GTHREAD_LIBS@
HAVE_PKGCONFIG = @HAVE_PKGCONFIG@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LOCKPATH = @LOCKPATH@
LTLIBOBJS = @LTLIBOBJS@
MAGICK_CFLAGS = @MAGICK_CFLAGS@
MAGICK_LIBS = @MAGICK_LIBS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MODULEDIR = @MODULEDIR@
MODULE_LIBTOOL_FLAGS = @MODULE_LIBTOOL_FLAGS@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
RANLIB = @RANLIB@
RUNDIR = @RUNDIR@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SYSCONFDIR = @SYSCONFDIR@
VERSION = @VERSION@
VER_INFO = @VER_INFO@
VIPS_CFLAGS = @VIPS_CFLAGS@
VIPS_LIBS = @VIPS_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
systemdsystemunitdir = @systemdsystemunitdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AM_CPPFLAGS = \
        -I$(top_srcdir) \
	$(DMAPSHARING_CFLAGS) \
	$(GLIB_CFLAGS) \
	$(GTHREAD_CFLAGS) \
	$(GOBJECT_CFLAGS) \
	$(EXIF_CFLAGS) \
	$(AVAHI_CFLAGS) \
	$(MAGICK_CFLAGS) \
	$(GSTREAMER_CFLAGS) \
	$(SOUP_CFLAGS) \
	$(CHECK_CFLAGS)

AM_LDFLAGS = \
	$(CHECK_LIBS)

AM_CFLAGS = \
	-DDEFAULT_DBDIR=\"$(DBDIR)\" \
	-DDEFAULT_LOCKPATH=\"$(LOCKPATH)\" \
	-DDEFAULT_MODULEDIR=\"$(MODULEDIR)\" \
	-DDEFAULT_RUNDIR=\"$(RUNDIR)\" \
	-DDEFAULT_SYSCONFDIR=\"$(SYSCONFDIR)\"

dmapd_SOURCES = \
	dmapd.c

dmapd_LDADD = libdmapd.la
dmapd_transcode_SOURCES = \
	dmapd-transcode.c

dmapd_transcode_LDADD = libdmapd.la
dmapd_hashgen_SOURCES = \
	dmapd-hashgen.c

dmapd_hashgen_LDADD = libdmapd.la
@WITH_TESTS_TRUE@dmapd_stress_test_SOURCES = \
@WITH_TESTS_TRUE@	dmapd-stress-test.c

@WITH_TESTS_TRUE@dmapd_stress_test_LDADD = libdmapd.la
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@dmapd_unit_test_SOURCES = \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-unit-test.c \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-test-daap-record.c \
@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@	dmapd-test-parse-plugin-option.c

@HAVE_CHECK_TRUE@@WITH_TESTS_TRUE@dmapd_unit_test_LDADD = libdmapd.la
lib_LTLIBRARIES = libdmapd.la
libdmapd_la_SOURCES = util.c av-meta-reader.c av-render.c db-builder.c \
	dmapd-dmap-container-db.c dmapd-dmap-container-record.c \
	dmapd-dmap-db.c dmapd-dmap-db-ghashtable.c dmapd-daap-record.c \
	dmapd-daap-record-factory.c dmapd-dpap-record.c \
	dmapd-dpap-record-factory.c dmapd-module.c photo-meta-reader.c \
	$(am__append_3)
libdmapd_la_LIBADD = \
	$(DMAPSHARING_LIBS) \
	$(GSTREAMER_LIBS)

libdmapd_la_LDFLAGS = -version-info @VER_INFO@
plugindir = $(MODULEDIR)
plugin_LTLIBRARIES = libdb-builder-gdir.la libdmapd-dmap-db-disk.la \
	$(am__append_2) $(am__append_4) $(am__append_5) \
	$(am__append_6)
@USE_GSTREAMER_TRUE@libav_meta_reader_gst_la_SOURCES = \
@USE_GSTREAMER_TRUE@	av-meta-reader-gst.c

@USE_GSTREAMER_TRUE@libav_meta_reader_gst_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_GSTREAMER_TRUE@libav_meta_reader_gst_la_LIBADD = \
@USE_GSTREAMER_TRUE@	$(GSTREAMER_LIBS)

@USE_GSTREAMER_TRUE@libav_render_gst_la_SOURCES = \
@USE_GSTREAMER_TRUE@	av-render-gst.c

@USE_GSTREAMER_TRUE@libav_render_gst_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_GSTREAMER_TRUE@libav_render_gst_la_LIBADD = \
@USE_GSTREAMER_TRUE@	$(GSTREAMER_LIBS)

@USE_MAGICK_TRUE@libphoto_meta_reader_graphicsmagick_la_SOURCES = \
@USE_MAGICK_TRUE@	photo-meta-reader-graphicsmagick.c

@USE_MAGICK_TRUE@libphoto_meta_reader_graphicsmagick_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_MAGICK_TRUE@libphoto_meta_reader_graphicsmagick_la_LIBADD = \
@USE_MAGICK_TRUE@	$(EXIF_LIBS) \
@USE_MAGICK_TRUE@	$(MAGICK_LIBS)

@USE_VIPS_TRUE@libphoto_meta_reader_vips_la_SOURCES = \
@USE_VIPS_TRUE@	photo-meta-reader-vips.c

@USE_VIPS_TRUE@libphoto_meta_reader_vips_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_VIPS_TRUE@libphoto_meta_reader_vips_la_LIBADD = \
@USE_VIPS_TRUE@	$(VIPS_LIBS)

libdb_builder_gdir_la_SOURCES = \
	db-builder-gdir.c

libdb_builder_gdir_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
libdmapd_dmap_db_disk_la_SOURCES = \
	dmapd-dmap-db-disk.c

libdmapd_dmap_db_disk_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_LIBDB_TRUE@libdmapd_dmap_db_bdb_la_SOURCES = \
@USE_LIBDB_TRUE@        dmapd-dmap-db-bdb.c

@USE_LIBDB_TRUE@libdmapd_dmap_db_bdb_la_LDFLAGS = $(MODULE_LIBTOOL_FLAGS)
@USE_LIBDB_4_8_FALSE@@USE_LIBDB_TRUE@libdmapd_dmap_db_bdb_la_LIBADD = \
@USE_LIBDB_4_8_FALSE@@USE_LIBDB_TRUE@	-ldb-4.7

@USE_LIBDB_4_8_TRUE@@USE_LIBDB_TRUE@libdmapd_dmap_db_bdb_la_LIBADD = \
@USE_LIBDB_4_8_TRUE@@USE_LIBDB_TRUE@	-ldb-4.8

dmapdincludedir = \
	$(includedir)/dmapd-@DMAPD_MAJORMINOR@/dmapd

dmapdinclude_HEADERS = \
	dmapd.h \
	dmapd-dmap-db.h \
	av-meta-reader.h \
	av-render.h \
	photo-meta-reader.h \
	db-builder.h \
	dmapd-module.h

noinst_HEADERS = \
	util.h \
	util-gst.h \
	dmapd-daap-record.h \
	dmapd-dmap-container-db.h \
	dmapd-dmap-container-record.h \
	dmapd-dmap-db-bdb.h \
	dmapd-dmap-db-disk.h \
	dmapd-dmap-db-ghashtable.h \
	av-meta-reader-gst.h \
	av-render-gst.h \
	photo-meta-reader-graphicsmagick.h \
	photo-meta-reader-vips.h \
	db-builder-gdir.h \
	dmapd-dpap-record.h \
	dmapd-dpap-record-factory.h \
	dmapd-daap-record-factory.h \
	dmapd-test-daap-record.h \
	dmapd-test-parse-plugin-option.h

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(plugin_LTLIBRARIES)'; test -n "$(plugindir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(plugindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(plugindir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(plugindir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(plugindir)"; \
	}

uninstall-pluginLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(plugin_LTLIBRARIES)'; test -n "$(plugindir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$f"; \
	done

clean-pluginLTLIBRARIES:
	-test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
	@list='$(plugin_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libav-meta-reader-gst.la: $(libav_meta_reader_gst_la_OBJECTS) $(libav_meta_reader_gst_la_DEPENDENCIES) $(EXTRA_libav_meta_reader_gst_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libav_meta_reader_gst_la_LINK) $(am_libav_meta_reader_gst_la_rpath) $(libav_meta_reader_gst_la_OBJECTS) $(libav_meta_reader_gst_la_LIBADD) $(LIBS)

libav-render-gst.la: $(libav_render_gst_la_OBJECTS) $(libav_render_gst_la_DEPENDENCIES) $(EXTRA_libav_render_gst_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libav_render_gst_la_LINK) $(am_libav_render_gst_la_rpath) $(libav_render_gst_la_OBJECTS) $(libav_render_gst_la_LIBADD) $(LIBS)

libdb-builder-gdir.la: $(libdb_builder_gdir_la_OBJECTS) $(libdb_builder_gdir_la_DEPENDENCIES) $(EXTRA_libdb_builder_gdir_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libdb_builder_gdir_la_LINK) -rpath $(plugindir) $(libdb_builder_gdir_la_OBJECTS) $(libdb_builder_gdir_la_LIBADD) $(LIBS)

libdmapd-dmap-db-bdb.la: $(libdmapd_dmap_db_bdb_la_OBJECTS) $(libdmapd_dmap_db_bdb_la_DEPENDENCIES) $(EXTRA_libdmapd_dmap_db_bdb_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libdmapd_dmap_db_bdb_la_LINK) $(am_libdmapd_dmap_db_bdb_la_rpath) $(libdmapd_dmap_db_bdb_la_OBJECTS) $(libdmapd_dmap_db_bdb_la_LIBADD) $(LIBS)

libdmapd-dmap-db-disk.la: $(libdmapd_dmap_db_disk_la_OBJECTS) $(libdmapd_dmap_db_disk_la_DEPENDENCIES) $(EXTRA_libdmapd_dmap_db_disk_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libdmapd_dmap_db_disk_la_LINK) -rpath $(plugindir) $(libdmapd_dmap_db_disk_la_OBJECTS) $(libdmapd_dmap_db_disk_la_LIBADD) $(LIBS)

libdmapd.la: $(libdmapd_la_OBJECTS) $(libdmapd_la_DEPENDENCIES) $(EXTRA_libdmapd_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libdmapd_la_LINK) -rpath $(libdir) $(libdmapd_la_OBJECTS) $(libdmapd_la_LIBADD) $(LIBS)

libphoto-meta-reader-graphicsmagick.la: $(libphoto_meta_reader_graphicsmagick_la_OBJECTS) $(libphoto_meta_reader_graphicsmagick_la_DEPENDENCIES) $(EXTRA_libphoto_meta_reader_graphicsmagick_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libphoto_meta_reader_graphicsmagick_la_LINK) $(am_libphoto_meta_reader_graphicsmagick_la_rpath) $(libphoto_meta_reader_graphicsmagick_la_OBJECTS) $(libphoto_meta_reader_graphicsmagick_la_LIBADD) $(LIBS)

libphoto-meta-reader-vips.la: $(libphoto_meta_reader_vips_la_OBJECTS) $(libphoto_meta_reader_vips_la_DEPENDENCIES) $(EXTRA_libphoto_meta_reader_vips_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libphoto_meta_reader_vips_la_LINK) $(am_libphoto_meta_reader_vips_la_rpath) $(libphoto_meta_reader_vips_la_OBJECTS) $(libphoto_meta_reader_vips_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(sbindir)" && rm -f $$files

clean-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

dmapd$(EXEEXT): $(dmapd_OBJECTS) $(dmapd_DEPENDENCIES) $(EXTRA_dmapd_DEPENDENCIES) 
	@rm -f dmapd$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dmapd_OBJECTS) $(dmapd_LDADD) $(LIBS)

dmapd-hashgen$(EXEEXT): $(dmapd_hashgen_OBJECTS) $(dmapd_hashgen_DEPENDENCIES) $(EXTRA_dmapd_hashgen_DEPENDENCIES) 
	@rm -f dmapd-hashgen$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dmapd_hashgen_OBJECTS) $(dmapd_hashgen_LDADD) $(LIBS)

dmapd-stress-test$(EXEEXT): $(dmapd_stress_test_OBJECTS) $(dmapd_stress_test_DEPENDENCIES) $(EXTRA_dmapd_stress_test_DEPENDENCIES) 
	@rm -f dmapd-stress-test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dmapd_stress_test_OBJECTS) $(dmapd_stress_test_LDADD) $(LIBS)

dmapd-transcode$(EXEEXT): $(dmapd_transcode_OBJECTS) $(dmapd_transcode_DEPENDENCIES) $(EXTRA_dmapd_transcode_DEPENDENCIES) 
	@rm -f dmapd-transcode$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dmapd_transcode_OBJECTS) $(dmapd_transcode_LDADD) $(LIBS)

dmapd-unit-test$(EXEEXT): $(dmapd_unit_test_OBJECTS) $(dmapd_unit_test_DEPENDENCIES) $(EXTRA_dmapd_unit_test_DEPENDENCIES) 
	@rm -f dmapd-unit-test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dmapd_unit_test_OBJECTS) $(dmapd_unit_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/av-meta-reader-gst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/av-meta-reader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/av-render-gst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/av-render.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/db-builder-gdir.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/db-builder.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-daap-record-factory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-daap-record.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-container-db.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-container-record.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-db-bdb.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-db-disk.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-db-ghashtable.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dmap-db.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dpap-record-factory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-dpap-record.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-hashgen.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-module.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-stress-test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-test-daap-record.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-test-parse-plugin-option.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-transcode.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd-unit-test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dmapd.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/photo-meta-reader-graphicsmagick.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/photo-meta-reader-vips.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/photo-meta-reader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util-gst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dmapdincludeHEADERS: $(dmapdinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(dmapdinclude_HEADERS)'; test -n "$(dmapdincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(dmapdincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(dmapdincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(dmapdincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(dmapdincludedir)" || exit $$?; \
	done

uninstall-dmapdincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(dmapdinclude_HEADERS)'; test -n "$(dmapdincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(dmapdincludedir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
install-binPROGRAMS: install-libLTLIBRARIES

installdirs:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(plugindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(dmapdincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
	clean-libtool clean-noinstPROGRAMS clean-pluginLTLIBRARIES \
	clean-sbinPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-dmapdincludeHEADERS install-pluginLTLIBRARIES

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS install-libLTLIBRARIES \
	install-sbinPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-dmapdincludeHEADERS \
	uninstall-libLTLIBRARIES uninstall-pluginLTLIBRARIES \
	uninstall-sbinPROGRAMS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
	clean-libtool clean-noinstPROGRAMS clean-pluginLTLIBRARIES \
	clean-sbinPROGRAMS cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-binPROGRAMS install-data \
	install-data-am install-dmapdincludeHEADERS install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
	install-pluginLTLIBRARIES install-ps install-ps-am \
	install-sbinPROGRAMS install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-dmapdincludeHEADERS uninstall-libLTLIBRARIES \
	uninstall-pluginLTLIBRARIES uninstall-sbinPROGRAMS

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
